Subject: Re: [bfcpbis] TBD issue #2: Discuss usage of RFC 5018 mechanisms

From: Tom Kristensen <[email-masked]>
Date: Tue, 11 Dec 2012 15:47:08 +0100

Adding something along these lines at the end of Section  might be what 
is needed:

----
     "RFC 5018 specifies how to establish a TCP connection to a floor 
control server outside the context of an offer/answer exchange. When 
using UDP the same set of data is needed for a BFCP connection as listed 
in RFC 5018, Section 3, i.e. transport address of the server, the 
conference identifier, and the user identifier. The procedures and 
considerations for resolving a host name into an IP address also applies 
to BFCP over an unreliable transport. In RFC 5018, Section 4 applies, 
but when using BFCP over an unreliable transport the floor control 
server that receives a BFCP message over UDP (no DTLS) SHOULD request 
the use of DTLS by generating an Error message with an Error code with a 
value of 11 (Use DTLS). The recommendations for authentication in RFC 
5018, Section 5 and the security considerations in Section 6 also 
applies when an unreliable transport is used, both for certificate-based 
server authentication and for client authentication based on a 
pre-shared secret."
----

Fine with this? Something to clarify or expand upon?

-- Tom

On 11/13/2012 09:30 AM, Gonzalo Camarillo wrote:
> Hi Tom,
>
> yes, per my original comments, I believe the spec needs to include a
> discussion about what happens when the mechanism in RFC 5018 is used.
>
> Thanks,
>
> Gonzalo
>
> On 13/11/2012 10:26 AM, Tom Kristensen wrote:
>    
>> An issue that needs further work, if a discussion of RFC 5018 usage is
>> needed of course.
>>
>> Gonzalo:
>>      
>>> Section 6 says:
>>>
>>> "(e.g., using an SDP offer/answer exchange [7])"
>>>
>>> We should also add a reference to RFC 5018. Additionally, the document
>>> could discuss at some point what happens when the mechanism in RFC
>>> 5018 is used.
>>>        
>> Tom:
>> | Reference to RFC 5018 added in upcoming version.
>> | Text discussing impact of using the  RFC 5018 mechanism will be done
>> | and added as a paragraph of Section 6.1.  Reliable Transport I'd imagine.
>>
>> -- Tom
>>      
>
>

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Thu, 13 Dec 2012 16:27:01 +0000

Sounds good.

Cheers,
Charles (as an individual)

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Tom Kristensen (tomkrist)
> Sent: Tuesday, December 11, 2012 6:47 AM
> To: Gonzalo Camarillo
> Cc: BFCPbis WG; 'Tom Kristensen'
> Subject: Re: [bfcpbis] TBD issue #2: Discuss usage of RFC 5018 mechanisms
> 
> _______________________________________________
> bfcpbis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bfcpbis